/*
 * $Header: /cvsroot/jdbforms/dbforms/src/org/dbforms/config/FieldTypes.java,v 1.6 2004/10/20 14:46:23 hkollmann Exp $
 * $Revision: 1.6 $
 * $Date: 2004/10/20 14:46:23 $
 *
 * DbForms - a Rapid Application Development Framework
 * Copyright (C) 2001 Joachim Peer <joepeer@excite.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */

package org.dbforms.config;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision: 1.6 $
 */
public class FieldTypes {
   /** DOCUMENT ME! */
   public static final int INTEGER = java.sql.Types.INTEGER;

   /** DOCUMENT ME! */
   public static final int CHAR = java.sql.Types.CHAR;

   /** DOCUMENT ME! */
   public static final int DATE = java.sql.Types.DATE;

   /** DOCUMENT ME! */
   public static final int TIMESTAMP = java.sql.Types.TIMESTAMP;

   /** DOCUMENT ME! */
   public static final int TIME = java.sql.Types.TIME;

   /** DOCUMENT ME! */
   public static final int DOUBLE = java.sql.Types.DOUBLE;

   /** DOCUMENT ME! */
   public static final int FLOAT = java.sql.Types.FLOAT;

   /** DOCUMENT ME! */
   public static final int BLOB = java.sql.Types.BLOB;

   /** DOCUMENT ME! */
   public static final int DISKBLOB = 4200;

   /** DOCUMENT ME! */
   public static final int NUMERIC = java.sql.Types.NUMERIC;

   /** DOCUMENT ME! */
   public static final int BOOLEAN = java.sql.Types.BOOLEAN;
}
